<?php
//
// Wetterabfrage OpenWeatherMap
// Datei: forecast-xml.php
// Datum: 31.12.2018

// URL OpenWeatherMap
$url= 'http://api.openweathermap.org/data/2.5/forecast?q=Ort&appid=YOURAPIKEY&units=metric&cnt=6&mode=json';
$json = file_get_contents($url);
$clima = json_decode($json);

// Felder aus Feed 
$cityname=$clima->city->name;

// Heute
$temp_now=$clima->list[0]->dt_txt;
$temp_min=$clima->list[0]->main->temp_min;
$temp_max=$clima->list[0]->main->temp_max;
$temp_weather=$clima->list[0]->weather[0]->description;

// Morgen
$temp_tomorrow=$clima->list[5]->dt_txt;
$temp_tomorrow_min=$clima->list[5]->main->temp_min;
$temp_tomorrow_max=$clima->list[5]->main->temp_max;
$temp_tomorrow_weather=$clima->list[5]->weather[0]->description;

// Wetterdaten als XML ausgeben - Forecast
//XML Header
print '<?xml version="1.0" encoding="ISO-8859-1" ?>' . "\n";
print '<weather>' . "\n";
print '<place>';
print 'Forecast for '.$cityname;
print'</place>'. "\n";

// Heute
print '<forecast_today>' . "\n";
print '<forecast_today_day>';
print $temp_now;
print'</forecast_today_day>' . "\n";
print '<forecast_today_cond>';
print $temp_weather;
print'</forecast_today_cond>' . "\n";
print '<forecast_today_min>';
print $temp_min;
print'</forecast_today_min>' . "\n";
print '<forecast_today_max>';
print $temp_max;
print'</forecast_today_max>' . "\n";
print '</forecast_today>' . "\n";

//Morgen
print '<forecast_tomorrow>' . "\n";
print '<forecast_tomorrow_day>';
print $temp_tomorrow;
print'</forecast_tomorrow_day>' . "\n";
print '<forecast_tomorrow_cond>';
print $temp_tomorrow_weather;
print'</forecast_tomorrow_cond>' . "\n";
print '<forecast_tomorrow_min>';
print $temp_tomorrow_min;
print'</forecast_tomorrow_min>' . "\n";
print '<forecast_tomorrow_max>';
print $temp_tomorrow_max;
print'</forecast_tomorrow_max>' . "\n";
print '</forecast_tomorrow>' . "\n";

print '</weather>';

?>
