<?php
// Wetterabfrage OpenWeatherMap
// Datei: weather-xml.php
// Datum: 31.12.2018
 
// URL OpenWeatherMap
$url = 'http://api.openweathermap.org/data/2.5/weather?q=Ort&appid=YOURAPIKEY&units=metric&mode=json';

$contents = file_get_contents($url);
$clima=json_decode($contents);

// Felder aus Feed 
$temp_max=$clima->main->temp_max;
$temp_min=$clima->main->temp_min;
$temp = $clima->main->temp;
$maind = $clima->weather[0]->main;
$humidity = $clima->main->humidity;
$wind = $clima->wind->speed;
$today = date("F j, Y, g:i a");
$cityname = $clima->name; 


// Wetterdaten als XML ausgeben
//XML Header
print '<?xml version="1.0" encoding="ISO-8859-1" ?>' . "\n";
print '<weather>' . "\n";
print '<place>';
print $cityname;
print'</place>'. "\n";

print '<weather_now>' . "\n";

print '<weather_now_cond>';
print $maind;
print'</weather_now_cond>' . "\n";

print '<weather_now_temp>';
print $temp;
print ' ';
print 'Deg C';
print'</weather_now_temp>' . "\n";

print '<weather_now_hum>';
print $humidity;
print ' %';
print'</weather_now_hum>' . "\n";

print'</weather_now>' . "\n";


print '</weather>';

?>
