// I2C Servo ansteuern-Master
// Datei: buch4_kap4_i2c_servo_master.ino


#include <Wire.h>

int AnalogOutPin = 5;

void setup()
{
  // Initialisierung Schnittstelle
  Serial.begin (9600);
  // teilnehmen am Bus
  Wire.begin();
}

void loop()
{
  // Analogwert 0-255 erzeugen
  for (int i = 0; i < 255; i++){
    // Ausgabe auf Analogausgang (zur möglichen Weiterverarbeitung oder Test)
    analogWrite(AnalogOutPin, i);
    // Übertragung starten für Slave 4
    Wire.beginTransmission(4);
    // Daten senden
    Wire.write(i);
    // Übertragung abbrechen
    Wire.endTransmission(); 
    // Analogwert auf serieller Schnittstelle anzeigen  
    Serial.println(i);
    delay (100);
  }
}
