// RF 433 Mhz Sender (One-Way, simplex)
// Datei: buch4_kap4_rf433_sender.ino

#include <VirtualWire.h>
#undef int
#undef abs
#undef double
#undef float
#undef round

int TxPin = 3;

void setup()
{
  // Initialisierung
  vw_set_ptt_inverted(true);
  // Geschwindigkeit (Bits pro Sekunden)
  vw_setup(2000);
  vw_set_tx_pin(TxPin);
}

void loop()
{
  // Textmeldung die verschickt wird
  const char *msg = "24.3";
  vw_send((uint8_t *)msg, strlen(msg));
  vw_wait_tx();
  // warten  
  delay(200);
}
