// RF 433 Mhz Transmitter, Temperaturwert senden
// Datei: buch4_kap4_rf433_sender_tempsensor.ino

#include <VirtualWire.h>

#undef int
#undef abs
#undef double
#undef float
#undef round

// Definitionen
int TxPin = 3;
float tempC;
float tempF;
// Analog Pin A0
int tempPin = 0;

char msg[10];


void setup()
{
  // Initialisierung
  vw_set_ptt_inverted(true);
  // Geschwindigkeit (Bits pro Sekunden)
  vw_setup(2000);
  vw_set_tx_pin(TxPin);
}

void loop()
{
  // Temperaturwert ermitteln
  tempC = analogRead(tempPin);
  msg[0]=map(tempC,0,1023,0,1023);
  vw_send((uint8_t *)msg, strlen(msg));
  vw_wait_tx();
  // warten
  delay(200);
}
