// IR Sensor mit MLX90614
// Datei: buch4_kap5_ir_meter.ino
//

#include <Wire.h>
#include "Adafruit_MLX90614.h"

// Sensor-Objekt
Adafruit_MLX90614 IrTemp = Adafruit_MLX90614();

void setup() 
{
  IrTemp.begin();  
  Serial.begin(115200);
  Serial.println("IR-Meter...");
}

void loop() 
{
  Serial.print("Umgebung: ");
  Serial.print(IrTemp.readAmbientTempC()); 
  Serial.print(" C, ");
  Serial.print("Objekt: ");
  Serial.print(IrTemp.readObjectTempC());
  Serial.println(" C");
  // warten
  delay(2000);
}
