// Arduino 2-Wire Tempsensor mit LM75
// Datei: buch4_kap5_lm75.ino


#include <Wire.h>

// 7-Bit-Adresse
// 1001000
#define SensorAdresse 0x48

void setup()
{
  Wire.begin();
  Serial.begin(9600);
}

void loop()
{
  Wire.beginTransmission(SensorAdresse);
  Wire.write((byte)0x00);
  Wire.requestFrom(SensorAdresse, 1);
  int tempVal;
  if (Wire.available()) {
     tempVal = Wire.read();
  }
  Wire.endTransmission();
  Serial.print("Temp 0: ");
  Serial.println(tempVal);
  delay(1000);
}
