// Wasserwaage mit Beschleunigungssensor ADXL330
// Datei: buch4_kap5_wasserwaage.ino


// Pindefinitionen
#define yPin 4
#define LEDLinks 10
#define LEDMitte 9
#define LEDRechts 8

//Schaltlevel
int LevelLinks=510;
int LevelRechts=520;

int yVal = 0;

void setup() 
{
  // Ausgänge der LEDs
  pinMode(LEDLinks, OUTPUT);
  pinMode(LEDMitte, OUTPUT);
  pinMode(LEDRechts, OUTPUT);
  Serial.begin(9600);
}

void loop() 
{
  // Analogsignal von y-Richtung lesen
  yVal = analogRead(yPin);
    
  // kleiner LevelLinks,  LED links Ein
  if (yVal<LevelLinks+1)
  {
    digitalWrite(LEDLinks,HIGH);
  }
  else
  {
  digitalWrite(LEDLinks,LOW);
  }
  
   // LED mitte Ein
  if ((yVal<LevelRechts) && (yVal>LevelLinks))
  {
  digitalWrite(LEDMitte,HIGH);
  }
  else
  {
  digitalWrite(LEDMitte,LOW);
  }
  
  // grösser LevelRechts, LED rechts Ein
  if (yVal>LevelRechts-1)
  {
  digitalWrite(LEDRechts,HIGH);
  }
  else
  {
  digitalWrite(LEDRechts,LOW);
  }
  
  Serial.print(yVal);
  Serial.println();
  delay(500);
}
