// Wii Nunchuk auslesen
// Datei: buch4_kap6_nunchuk.ino

#include <Wire.h>
#include "nunchuck_funcs.h"

int loop_cnt=0;
byte accx,accy,accz,zbut,cbut;
byte joyx, joyy;

void setup()
{
  Serial.begin(19200);
  nunchuck_setpowerpins();
  nunchuck_init();
}

void loop()
{
  if(loop_cnt > 100)
  {
    loop_cnt = 0;
    nunchuck_get_data();
    
    // Beschleunigungssensor   
    accx  = nunchuck_accelx();
    accy  = nunchuck_accely();
    accz  = nunchuck_accelz();
    // Drucktasten
    zbut = nunchuck_zbutton();
    cbut = nunchuck_cbutton(); 
    // Joystick    
    joyx = nunchuck_joyx();
    joyy = nunchuck_joyy();

    // Joystick-Ausgabe auf seriellen Port
    Serial.print("Joystick-X: ");
    Serial.print((byte)joyx,DEC);
    Serial.print("  Joystick-Y: ");
    Serial.println((byte)joyy,DEC);
  }
  loop_cnt++;
  delay(1);
}
