// LC-Display über I2C
// Datei: buch4_kap7_serial_i2c_lcd.ino

#include <Wire.h> 
#include <LiquidCrystal_I2C.h>

// LCD Objekt mit I2C-Adresse 
// Display mit 16 Zeichen und 2 Zeilen 
LiquidCrystal_I2C lcd(0x27, 16, 2);

void setup()
{
  // Initialisierung LCD
  lcd.begin();

  // Backlight einschalten
  lcd.backlight();
  // Ausgabe Text
  lcd.print("Hello, world!");
}

void loop()
{
  // Hauptprogramm-Code
}
