//
// Ansteuerung serielles LCD (Parallax)
// File: buch4_kap7_serial_lcd.ino


#include <SoftwareSerial.h>
#include <SerLCD.h>

// SoftwareSerial NSS(RX,TX)
SoftwareSerial NSS(3,2);

// LCD Objekt (Schnittstellenobjekt, Zeichen, Zeilen)
SerLCD myLCD(NSS,16,2); 

void setup()
{
  // Serielle Schnittstelle für LCD
  NSS.begin(9600); 
  // Standard Schnittstelle
  Serial.begin(9600);
  // LCD Initialisierung
  myLCD.begin();   
}

void loop()
{
  myLCD.clear();
  myLCD.setPosition(1,0); 
  myLCD.print("SerLCD"); 
  delay(1000); 
  myLCD.setPosition(2,0); 
  myLCD.print("Arduino Praxis"); 
  delay(1000);
  
  // Hintergrundbeleuchtung (128 = Aus, 150 = Ein)
  myLCD.setBacklight(128);
  delay(1000); 
}
