//
// Twitter - Tweets senden via Library
// Datei: buch4_kap10_twitter_senden.ino
// Datum: 19.02.2019
//
// Quelle: http://www.arduino.cc/playground/Code/TwitterLibrary


#include <SPI.h>
#include <Ethernet.h>
#include <Twitter.h>

byte mac[] = { 0xDE, 0xAD, 0xBE, 0xEF, 0xFE, 0xED };
byte ip[] = { 10, 0, 1, 144 };
byte gateway[] = { 10, 0, 1, 1 };
byte subnet[] = { 255, 255, 255, 0 };

// Token für Berechtigung zum Senden von Tweets
Twitter twitter("****DeinTwitterToken*****");

void setup()
{
  Ethernet.begin(mac, ip);
  Serial.begin(9600);
  delay(1000);
  // Tweet senden
  sendTweet("Arduino Board is alive"); 
}

void loop()
{
  // weitere Anweisungen
}

void sendTweet(char* tweet)
{
  Serial.println("connecting ...");
  if (twitter.post(tweet))
  {
    // Statuscode abfragen
    int status = twitter.wait();
    // Ausgabe Statuscode auf serielle Schnittstelle
    Serial.print("Status: ");
    Serial.println(status);
    Serial.print("Msg:[ ");
    Serial.print(tweet);
    Serial.print("]");
    if (status == 200) {
      Serial.println("OK.");
    }
   else
   {
     Serial.print("failed : code ");
     Serial.println(status);
   }
   }
  else
  {
    Serial.println("connection failed.");
  }
}
