//
// Projekt Würfel
// Datei: buch4_kap4_projekt_wuerfel.ino


// Pins Taster und LEDs
int TasterPin=6;
int LED1=7;
int LED2=8;
int LED3=9;
int LED4=10;
int LED5=11;
int LED6=12;
int LED7=13;

// Variablen
int TasterValue=0;
int state=0;
int zahl = 1;
int zahlEnde = 7;

void setup() 
{
  // Ausgänge für LED setzen
  pinMode (LED1, OUTPUT);
  pinMode (LED2, OUTPUT);
  pinMode (LED3, OUTPUT);
  pinMode (LED4, OUTPUT);
  pinMode (LED5, OUTPUT);
  pinMode (LED6, OUTPUT);
  pinMode (LED7, OUTPUT);
  // Eingang für Taster
  pinMode(TasterPin, INPUT);
}

void loop()
{
  // Taster abfragen
  ReadTaster();
  
  // Ausführen, solange Taster gedrückt  
  while (ReadTaster()==1)
  {
    if (zahl == zahlEnde)
    {
      zahl=1;
    }
    
    LeuchtdiodenAnzeigen(zahl);
    delay (20);
    zahl = zahl + 1;
  }
}

void LeuchtdiodenAnzeigen(int zahl)
{
  // Alle Ausgänge auf 0
  digitalWrite(LED1, LOW);
  digitalWrite(LED2, LOW);
  digitalWrite(LED3, LOW);
  digitalWrite(LED4, LOW);
  digitalWrite(LED5, LOW);
  digitalWrite(LED6, LOW);
  digitalWrite(LED7, LOW);
  
  // Zahl grösser 1
  if (zahl > 1)
  {
    digitalWrite(LED1, HIGH);
    digitalWrite(LED6, HIGH);
  }
 
 // Zahl = 6
 if (zahl == 6)
 {
   digitalWrite(LED2, HIGH);
   digitalWrite(LED5, HIGH);
 }
 
 // Zahl grösser 3
 if (zahl > 3)
 {
   digitalWrite(LED3, HIGH);
   digitalWrite(LED4, HIGH);
 }
 
 // Zahl ist ungerade
 if ((zahl % 2) == 1)
 {
   digitalWrite(LED7, HIGH);
 }
    
}


int ReadTaster()
{
  TasterValue=digitalRead(TasterPin);
  if (TasterValue==HIGH) {
    state = 1;
    return state;
  }
  else
  {
    state= 0;
    return state;
  }
}  
