// RF 433 Mhz Tempsensor Empfänger
// Datei: buch4_kap4_rf433_empfaenger_tempsensor.ino

#include <VirtualWire.h>
#undef int
#undef abs
#undef double
#undef float
#undef round

float TempCC;

void setup()
{
  Serial.begin(9600);
  vw_set_ptt_inverted(true);
  vw_setup(2000);
  vw_set_rx_pin(2);
  vw_rx_start();
}

void loop()
{
  int TempC;
  float TempCC;
  int msg[VW_MAX_MESSAGE_LEN];
  uint8_t buf[VW_MAX_MESSAGE_LEN];
  uint8_t buflen = VW_MAX_MESSAGE_LEN;
  if(vw_have_message() == HIGH)
  {
    vw_get_message(buf, &buflen);
    //Temperatur als ganzzahliger Wert
    TempC = map(buf[0],0,1023,0,1023);
    // Temperatur umgewandelt in 0 – 100
    TempCC = (5.0 * TempC * 100.0)/1024.0;
    Serial.println(TempCC, DEC);
    }
    delay (1000);
} 
