// String über die serielle Schnittstelle empfangen
// Datei: buch4_kap4_serielle_daten_empfangen.ino

int laenge=255;
char empfangeneDaten[255];

void setup()
{
  // Konfiguration serielle Schnittstelle
  Serial.begin(9600);  // Uebertragungsgeschwindigkeit
}

void loop() {
  int i=0;
  // Serielle Daten sind vorhanden
  if (Serial.available()) {
    // Daten einlesen
   while (Serial.available()) {
     empfangeneDaten[i++] = Serial.read(); 
     // Warten zwischen den einzelnen Zeichen
     delay(2);    
    }
  // Ausgabe des empfangenen Wertes  
  Serial.print("Du hast "); 
  Serial.print(empfangeneDaten);
  Serial.println(" gesendet.");  
  }
  // Daten in Array löschen  
  ClearArray();
}

void ClearArray()
{
for (int x=0; x<laenge; x++)
{
empfangeneDaten[x]=NULL;
}  
}
