//
// Hallsensor A3144 - Kontaktüberwachung
// Datei: buch4_kap5_hallsensor_a3144.ino


int hallPin = 7;  // Eingang Signal des Hall-Sensors
int ledPin =  5;  // Ausgang der Status-LED

// Status
int hallState = 0;

void setup()
{
  // Eingang Hall-Sensor
  pinMode(hallPin, INPUT);
  // Ausgang LED
  pinMode(ledPin, OUTPUT);
}

void loop()
{
  // Status des Sensors einlesen
  hallState = digitalRead(hallPin);
  
  // LOW = Magnet aktiv
  // HIGH = Magnet nicht aktiv

  if (hallState == LOW)
  {     
    // LED ein  
    digitalWrite(ledPin, HIGH);  
  } 
  else
  {
    // LED aus
    digitalWrite(ledPin, LOW); 
  }
}
