// Einlesen von Analogwert von Temperatursensor LM35
// Datei: buch4_kap5_lm35.ino

float tempC = 0;
int tempPin = 0;  // Pin A0
int messung[5];  //  5 Messungen zur Verbesserung des Messwertes
float valTemp;
int i;

void setup()
{
  // Serielle Schnittstelle initialisieren
  Serial.begin(9600);
}

void loop()
{
  // Schleife über die 5 Messungen
  for(i=0;i<=4;i++)
  {
  // Analogpin einlesen
  valTemp = analogRead(tempPin);
  // Wert umkonvertieren, 
  messung[i] = (5.0 * valTemp * 100.0)/1024.0;
  tempC=tempC+messung[i];
  delay(500);
  }
  // Mittelwert der Messungen
  tempC = tempC/5;
  
  // Wert an serielle Schnittstelle senden
  // Ausgabe als Grad Celsius
  Serial.print("Grad C: ");
  Serial.println(tempC);
  tempC=0;
  // warten 1 Sekunde
  delay(1000);
}
