//
// Beschreibung: Temperaturmessung Pt100
// Datei: buch4_kap5_pt100.ino
//
// Schaltung:
// http://www.microsps.com


//Variablen
float tempC;         // gemessene Temperatur
float tempKorr = 4;  // Korrekturwert
int tempPin = 0;     // Pin A0 zur Analogmessung

void setup()
{
  Serial.begin(9600); 
}

void loop()
{
  tempC = analogRead(tempPin);
  // eingelesener Wert umrechnen
  // 0-5 Volt entspricht 0-1023
  // 0-1023 entspricht dem Temperaturbereich von -48 bis +127
  tempC = map(tempC, 0, 1023, -4800, 12700);
  tempC=tempC/100.00;
  // Korrektur addieren/subtrahieren
  tempC=tempC-tempKorr;
  // Ausgabe des Temperaturwerts
  Serial.print(tempC);
  Serial.println(" Grad C");
  delay(1000);                                
}
