// Motor steuern mit L293, Geschwindigkeitsregelung per PWM
// Datei: buch4_kap6_motor_l293_pwm.ino
// 29.01.2019


int PWMPin = 9;         // PWM Signal Motor
int MotorPin1 = 6;      // Vor/Rück Motor
int MotorPin2 = 7;      // Vor/Rück Motor

int SollSpeedPin = 0;   // Sollwert für Geschwindigkeit
int SollSpeed = 0;      // Eingelesene Sollgeschwindigkeit   
 
void setup()
{
  pinMode(MotorPin1, OUTPUT);
  pinMode(MotorPin2, OUTPUT);
}
 
void loop()
{
  // Sollwert einlesen
  SollSpeed = analogRead(SollSpeedPin) / 4;
  // Ausgabe PWM
  analogWrite(PWMPin, SollSpeed);
  // Motor Vorwärts
  digitalWrite(MotorPin1, HIGH);
  digitalWrite(MotorPin2, LOW);
  delay(100);
}
