//
// MCP4725 DAC - Analog-Spannung ausgeben
// Datei: buch4_kap8_mcp4725_vout.ino

#include <Wire.h>
#include <Adafruit_MCP4725.h>

uint32_t vout;
Adafruit_MCP4725 dac;

void setup()
{
  Serial.begin(9600);
  Serial.println("Start MCP4725");
  // Start MCP4725
  dac.begin(0x62);
}

void loop()
{
  // Wert für Ausgabe setzen
  vout = 2048;
  Serial.print("Vout: ");
  Serial.println(vout);
  // Spannung ausgeben  
  // dac.setVoltage(Wert Vout, SpeichernEEPROM true/false)
  dac.setVoltage(vout, false);
  // Warten
  delay(1000); 
}
